package com.eitc.modules.tenant.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.tenant.dto.SysTenantDTO;
import com.eitc.modules.tenant.entity.SysTenantEntity;

import java.util.Map;


/**
 * 租户管理
 *
 * @author Mark eitc@163.com
 */
public interface SysTenantService extends BaseService<SysTenantEntity> {

	PageData<SysTenantDTO> page(Map<String, Object> params);

	SysTenantDTO get(Long id);

	void save(SysTenantDTO dto);

	void update(SysTenantDTO dto);

	void delete(Long[] ids);

	SysTenantDTO getTenantCode(Long tenantCode);
}
